import { EventBus } from "@dage/utils";
import { DageResponse } from "./services";

declare global {
  /**
   * 声明映射关系
   */
  interface EventMapper {
    /** 登录失效 */
    "Event.login.invalid": DageResponse;
  }
}

export const eventBus = new EventBus();
